Subject: bug#20488: acknowledged by developer (Re: bug#20488: Problems with Icelandic quotation marks)

From: Mosè Giordano <[email-masked]>
Date: Tue, 5 May 2015 10:42:51 +0200

Hi Joseph,

2015-05-04 13:56 GMT+02:00 Joseph Timothy Foley <[email-masked]>:
> Thank you for that solution, though it has a minor error in it:
> You sent:
> (add-to-list 'TeX-quote-language-alist
>       '("icelandic" "\"'" "\"'" nil))
>
> When it should be:
> (add-to-list 'TeX-quote-language-alist
>       '("icelandic" "\"`" "\"'" nil))
> Note the right single quote.

That's what I wrote, see
https://debbugs.gnu.org/cgi/bugreport.cgi?msg=8;bug=20488

> In the AUCTex distribution, it appears that this is supposed to be
> already set via icelandic.el. Am I confused about how TeX-quote-language
> vs TeX-quote-language-alist works?
>
> in elpa/auctex-11.88.3/style/icelandic.el
>
> (TeX-add-style-hook
>  "icelandic"
>  (lambda ()
>    (set-syntax-table LaTeX-icelandic-mode-syntax-table)
>    (unless (eq (car TeX-quote-language) 'override)
>      (setq TeX-quote-language '("icelandic" "\"`" "\"'" t)))
>    (setq LaTeX-babel-hyphen-language "icelandic")
>    ;; Fontification of quotation marks.
>    (when (fboundp 'font-latex-add-quotes)
>      (font-latex-add-quotes '("\"`" "\"'"))
>      (font-latex-add-quotes '("\"<" "\">" french)))
>    (run-hooks 'TeX-language-is-hook))
>  LaTeX-dialect)

The difference between what I wrote in my code and what is done in
icelandic.el is the last item of the list: it's t in the style file,
and nil in my code.  The fourth item of the list controls whether the
quote is inserted after the first or the second press of ", see
https://gnu.org/software/auctex/manual/auctex.html#index-TeX_002dquote_002dlanguage_002dalist

Bye,
Mosè